# Uses of Class
org.apache.sling.feature.scanner.PackageInfo

Packages that use PackageInfo
Package
Description
org.apache.sling.feature.scanner

## Uses of PackageInfo in org.apache.sling.feature.scanner

Classes in org.apache.sling.feature.scanner that implement interfaces with type arguments of type PackageInfo
Modifier and Type
Class
Description
`class`
`PackageInfo`
A package info object contains information about a package, its name, its version and the uses constraints.
Methods in org.apache.sling.feature.scanner that return types with arguments of type PackageInfo
Modifier and Type
Method
Description
`final Set<PackageInfo>`
Descriptor.`getDynamicImportedPackages()`
Return a set of dynamic imported packages
`final Set<PackageInfo>`
Descriptor.`getExportedPackages()`
Return a set of exported packages
`final Set<PackageInfo>`
Descriptor.`getExportedPackages(String packageName)`
`final Set<PackageInfo>`
Descriptor.`getImportedPackages()`
Return a set of imported packages
Methods in org.apache.sling.feature.scanner with parameters of type PackageInfo
Modifier and Type
Method
Description
`int`
PackageInfo.`compareTo(PackageInfo o)`
`boolean`
BundleDescriptor.`isExportingPackage(PackageInfo info)`
Is the bundle exporting a package?